Author Topic: linking attribute tags to objects  (Read 2486 times)

0 Members and 1 Guest are viewing this topic.

danny

  • Guest
linking attribute tags to objects
« on: November 17, 2004, 10:02:28 PM »
I'm using ACAD 2004 and was wondering if their is a way to link attribute tags to objects.  So if you move the tag, the object that it belongs to moves with it and vice versa.
thanks for the help..

MikePerry

  • Guest
linking attribute tags to objects
« Reply #1 on: November 18, 2004, 02:58:41 AM »
Hi

A real simple method that doesn't require any kind of programming would be to use the _.Group command.

Have a good one, Mike

CADaver

  • Guest
Re: linking attribute tags to objects
« Reply #2 on: November 18, 2004, 08:35:12 AM »
Quote from: danny
I'm using ACAD 2004 and was wondering if their is a way to link attribute tags to objects.  So if you move the tag, the object that it belongs to moves with it and vice versa.
thanks for the help..
ummm  block?  Am I missing something??

danny

  • Guest
linking attribute tags to objects
« Reply #3 on: November 18, 2004, 10:23:51 AM »
sorry CADaver,
I meant to say that these tags are the AEC attribute tags. ex. door tags, window tags, room tags.  You attach them to an object and fill out the property definition. Well, problem I'm having is that if you move the door that the tag belongs to, the tag doesn't move with it.
Mike, I'll try the _.group command
thanks,

CADaver

  • Guest
linking attribute tags to objects
« Reply #4 on: November 18, 2004, 11:08:14 AM »
Quote from: danny
sorry CADaver,
I meant to say that these tags are the AEC attribute tags. ex. door tags, window tags, room tags.  You attach them to an object and fill out the property definition. Well, problem I'm having is that if you move the door that the tag belongs to, the tag doesn't move with it.
Mike, I'll try the _.group command
thanks,
ahh okay, sorry 'bout that, an old Microstation brain cell crept into the crypt.

Groups are cool, I built a toggle for "Group selection" (pickstyle) into F11 to facilitate popping it on and off.

danny

  • Guest
linking attribute tags to objects
« Reply #5 on: November 18, 2004, 11:36:57 AM »
Quote
Groups are cool, I built a toggle for "Group selection" (pickstyle) into F11 to facilitate popping it on and off.

you mean you can activate them and deactivate them all at once?

CADaver

  • Guest
linking attribute tags to objects
« Reply #6 on: November 18, 2004, 12:53:38 PM »
Quote from: danny
Quote
Groups are cool, I built a toggle for "Group selection" (pickstyle) into F11 to facilitate popping it on and off.

you mean you can activate them and deactivate them all at once?

Sorta, it controls the PICKSTYLE sysvar.  Group selection can be turned on and off so you can move the group (if on) or just one elemtn in the group (if off).  If Group Selection is on, and you change the layer of one element in the Group, all the elements in that group change (maybe good, maybe bad).

 
Quote
PICKSTYLE System Variable Concepts Procedures Reference
Type: Integer
Saved in: Registry
Initial value: 1
Controls the use of group selection and associative hatch selection.

0  No group selection or associative hatch selection
1   Group selection
2   Associative hatch selection
3   Group selection and associative hatch selection


Here's the code I wrote before I found out about (boole

Code: [Select]
(defun c:pkst ()(pks))
(defun pks ()
  (cond
((= (getvar "pickstyle") 0)
(progn
(setvar "pickstyle" 1)(princ "\n\tGroup Selection ON")(princ)
)
)
((= (getvar "pickstyle") 1)
(progn
(setvar "pickstyle" 0)(princ "\n\tGroup Selection Off")(princ)
)
)
((= (getvar "pickstyle") 2)
(progn
(setvar "pickstyle" 3)(princ "\n\tGroup Selection ON")(princ)
)
)
((= (getvar "pickstyle") 3)
(progn
(setvar "pickstyle" 2)(princ "\n\tGroup Selection Off")(princ)
)
)
  )
)


It still works for me

danny

  • Guest
linking attribute tags to objects
« Reply #7 on: November 18, 2004, 12:59:16 PM »
thanks.. I'll check it out.

CADaver

  • Guest
linking attribute tags to objects
« Reply #8 on: November 18, 2004, 01:55:11 PM »
Quote from: danny
thanks.. I'll check it out.
Yur welcome